Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor
Interface TagSoupExtractionResult

All Superinterfaces:
  ErrorReporter, ExtractionResult

All Known Implementing Classes:
  ExtractionResultImpl

    public interface TagSoupExtractionResult

extends ExtractionResult

This interface models a specific `ExtractionResult` able to collect property roots generated by HTML Microformat extractions.

Author:
  Michele Mostarda (mostarda@fbk.eu)

Nested Class Summary
`static class` | `TagSoupExtractionResult.PropertyPath` Defines a property path object.
`static class` | `TagSoupExtractionResult.ResourceRoot` Defines a property root object.

Nested classes/interfaces inherited from interface org.apache.any23.extractor.ErrorReporter
`ErrorReporter.Error, ErrorReporter.ErrorLevel`

Method Summary
`void` | `addPropertyPath(Class<? extends MicroformatExtractor> extractor, org.openrdf.model.Resource propertySubject, org.openrdf.model.Resource property, org.openrdf.model.BNode object, String[] path)` Adds a property path to the list of the extracted data.
`void` | `addResourceRoot(String[] path, org.openrdf.model.Resource root, Class<? extends MicroformatExtractor> extractor)` Adds a root property to the extraction result, specifying also the path corresponding to the root of data which generated the property and the extractor responsible for such addition.
`List<TagSoupExtractionResult.PropertyPath>` | `getPropertyPaths()` Returns all the collected property paths.
`List<TagSoupExtractionResult.ResourceRoot>` | `getResourceRoots()` Returns all the collected property roots.

Methods inherited from interface org.apache.any23.extractor.ExtractionResult
`close, openSubResult, writeNamespace, writeTriple, writeTriple`

Methods inherited from interface org.apache.any23.extractor.ErrorReporter
`getErrors, notifyError, printErrorsReport`

Method Detail

### addResourceRoot

    void addResourceRoot(String[] path,
                         org.openrdf.model.Resource root,
                         Class<? extends MicroformatExtractor> extractor)

  Adds a root property to the extraction result, specifying also the path corresponding to the root of data which generated the property and the extractor responsible for such addition.

  Parameters:
    `path` - the path from the document root to the local root of the data generating the property.
    `root` - the property root node.
    `extractor` - the extractor responsible of such extraction.

### getResourceRoots

    List<TagSoupExtractionResult.ResourceRoot> getResourceRoots()

  Returns all the collected property roots.

  Returns:
    an unmodifiable list of `TagSoupExtractionResult.ResourceRoot`s.

### addPropertyPath

    void addPropertyPath(Class<? extends MicroformatExtractor> extractor,
                         org.openrdf.model.Resource propertySubject,
                         org.openrdf.model.Resource property,
                         org.openrdf.model.BNode object,
                         String[] path)

  Adds a property path to the list of the extracted data.

  Parameters:
    `extractor` - the identifier of the extractor responsible for retrieving such property.
    `propertySubject` - the subject of the property.
    `property` - the property URI.
    `object` - the property object if any, `null` otherwise.
    `path` - the path of the HTML node from which the property literal has been extracted.

### getPropertyPaths

    List<TagSoupExtractionResult.PropertyPath> getPropertyPaths()

  Returns all the collected property paths.

  Returns:
    a valid list of property paths.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.